local pitbull = {}

function pitbull:Hook(module)
	if not PitBull then return end
	if module ~= true and module ~= PitBull:GetModule("CastBar") then return end
	
	local castBar = PitBull:GetModule("CastBar")
	if not Deadened:IsHooked(castBar, "UNIT_SPELLCAST_START") then
		Deadened:Hook(castBar, "UNIT_SPELLCAST_START", pitbull.PITBULL_UNIT_SPELLCAST_START, true)
	end	
end

function pitbull:Unhook(module)
	if not PitBull then return end
	if module ~= true and module ~= PitBull:GetModule("CastBar") then return end

	local castBar = PitBull:GetModule("CastBar")
	if Deadened:IsHooked(castBar, "UNIT_SPELLCAST_START") then
		Deadened:Unhook(castBar, "UNIT_SPELLCAST_START")
	end	
end

function pitbull.PITBULL_UNIT_SPELLCAST_START(orig_object, ns, event, unit)
	if unit == "target" then
		local spell, rank, displayName, icon, startTime, endTime = UnitCastingInfo(unit)
		if not Deadened:IsDeaden(displayName) then
			for k,v in pairs(Deadened.hooks[orig_object]) do
				v(orig_object, ns, event, unit)
			end
		end
	end
end

Deadened:AddHandler("PitBull", pitbull)