local antagonist = {}

function antagonist:Hook(module)
	if not Antagonist then return end
	if module ~= true and module ~= Antagonist then return end
	self.UNIT_SPELLCAST_START = Deadened.UNIT_SPELLCAST_START
	if not Deadened:IsHooked(Antagonist, "ParseChannelUpdate") then
		Deadened:Hook(Antagonist, "ParseChannelUpdate", "UNIT_SPELLCAST_START")
		Deadened:Hook(Antagonist, "ParseSpellStart", "UNIT_SPELLCAST_START")
	end
end

function antagonist:Unhook(module)
	if not Antagonist then return end
	if module ~= true and module ~= Antagonist then return end
	if Deadened:IsHooked(Antagonist, "ParseChannelUpdate") then
		Deadened:Unhook(Antagonist, "ParseChannelUpdate")
		Deadened:Unhook(Antagonist, "ParseSpellStart")
	end
end

Deadened:AddHandler("Antagonist", antagonist)